APIs in Category: fileservice-audit | Cluster-Mode API version 1.21

fileservice-audit-config-get-iter fileservice-audit-config-get-total-records | This set of ZAPIs help manage the File Service Audit settings for auditing file access over CIFS and NFS, CIFS logon, logoff and management events.

NetApp Manage ONTAP

fileservice-audit-config-get-iter | [top]

> Show Audit configuration details for all Vservers

> Input Name | Range | Type | Description
> desired-attributes |  | fileservice-audit-config optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> max-records | [1..2^32-1] | integer optional | The maximum number of records to return in this call. Default: 20
> query |  | fileservice-audit-config optional | A query that specifies which objects to return. A query could be specified on any number of attributes in the fileservice-audit-config object. All fileservice-audit-config objects matching this query up to 'max-records' will be returned.
> tag |  | string optional | Specify the tag from the last call. It is usually not specified for the first call. For subsequent calls, copy values from the 'next-tag' obtained from the previous call.
> Output Name | Range | Type | Description
> attributes-list |  | fileservice-audit-config[] optional | The list of attributes of fileservice-audit-config objects.
> next-tag |  | string optional | Tag for the next call. Not present when there are no more fileservice-audit-config objects to return.
> num-records | [0..2^32-1] | integer | The number of records returned in this call.

> Errno | Description
> EINTERNALERROR |  |

fileservice-audit-config-get-total-records | [top]

> Return the total number of records

> Output Name | Range | Type | Description
> count | [0..2^64-1] | integer | The total number of fileservice-audit-config objects.

Element definition: fileservice-audit-config | [top]

> Vserver Audit configuration and management on name When returned as part of the output, all elements of this typedef are reported, unless limited by a set of desired attributes specified by the caller. When used as input to specify desired attributes to return, omitting a given element indicates that it shall not be returned in the output. In contrast, by providing an element (even with no value) the caller ensures that a value for that element will be returned, given that the value can be retrieved. When used as input to specify queries, any element can be omitted in which case the resulting set of objects is not constrained by any specific value of that attribute.

> Name | Range | Type | Description
> audit-guarantee |  | boolean optional | Strict guarantee of auditing for a Vserver. If this is true, file access is denied if audit record can not be generated and if this is false, auditing is done on a best effort basis. Default: true Attributes: non-creatable, modifiable
> destination |  | string optional | Audit log destination path. The path where consolidated audit logs are stored. If the path is not valid, the api returns error Attributes: required-for-create, modifiable
> format |  | audit-format optional | The format in which the logs would be generated by consolidation process. Default: evtx Attributes: optional-for-create, modifiable Possible values: "xml" - Data ONTAP-Specific XML Log Format, "evtx" - Microsoft Windows EVTX Log Format
> is-enabled |  | boolean optional | Auditing State. Default: false Attributes: non-creatable, non-modifiable
> rotate-limit | [0..2^32-1] | integer optional | Audit log files rotation Limit. A value of 0 indicates that all the files will be retained. Default: 0 Attributes: optional-for-create, modifiable
> rotate-schedule-day |  | cron-day-of-month[] optional | Audit log rotation schedule: Day. By Default rotation is done based on size. This field is mutually exclusive with rotate-size. Do not use this field along with rotate-size field Attributes: optional-for-create, modifiable
> rotate-schedule-dayofweek |  | cron-day-of-week[] optional | Audit log rotation schedule: Day of Week. By Default rotation is done based on size. This field is mutually exclusive with rotate-size. Do not use this field along with rotate-size field Attributes: optional-for-create, modifiable
> rotate-schedule-hour |  | cron-hour[] optional | Audit log rotation schedule: Hour. By Default rotation is done based on size. This field is mutually exclusive with rotate-size. Do not use this field along with rotate-size field Attributes: optional-for-create, modifiable
> rotate-schedule-minute |  | cron-minute[] optional | Audit Log rotation schedule: Minute. By Default rotation is done based on size. This field is mutually exclusive with rotate-size. Do not use this field along with rotate-size field Attributes: optional-for-create, modifiable
> rotate-schedule-month |  | cron-month[] optional | Audit log rotation schedule: Month. By Default rotation is done based on size. This field is mutually exclusive with rotate-size. Do not use this field along with rotate-size field Attributes: optional-for-create, modifiable
> rotate-size |  | psize optional | Audit log file size limit. By default rotation is done based on size. This field is mutually exclusive with time related rotate fields. If time based rotation is needed use the time based rotation fields(rotate-schedule-month, rotate-schedule-dayofweek, rotate-schedule-day... etc). Default: 100MB Attributes: optional-for-create, modifiable
> rotation-schedule-description |  | string optional | Rotation schedules derived from rotation time related parameters Attributes: non-creatable, non-modifiable
> vserver |  | vserver-name optional | Vserver Attributes: key, non-creatable, non-modifiable

Element definition: audit-format | [top]

> xml|evtx Possible values: "xml" - Data ONTAP-Specific XML Log Format, "evtx" - Microsoft Windows EVTX Log Format

> [none]

Element definition: cron-day-of-month | [top]

> Job Manager cron scheduling day of month. -1 represents all days of a month from 1 to 31, and only supported for cron schedule create and modify. Range : [-1..31].

> [none]

Element definition: cron-day-of-week | [top]

> Job Manager cron scheduling day of week. Zero represents Sunday. -1 represents all days of a week and only supported for cron schedule create and modify. Range : [-1..6].

> [none]

Element definition: cron-hour | [top]

> Job Manager cron scheduling hour. -1 represents all hours and only supported for cron schedule create and modify. Range : [-1..23].

> [none]

Element definition: cron-minute | [top]

> Job Manager cron scheduling minute. -1 represents all minutes and only supported for cron schedule create and modify. Range : [-1..59].

> [none]

Element definition: cron-month | [top]

> Job Manager cron scheduling month. -1 represents all months and only supported for cron schedule create and modify. Range : [-1..11].

> [none]

Element definition: psize | [top]

> size in bytes Range : [1..2^63-1].

> [none]

Element definition: vserver-name | [top]

> The name of the Vserver.

> [none]